Security Experts:

VMware Issues Security Updates for vCenter Server Appliance and ESX Products

Just a week after issuing a patch to address a critical directory traversal vulnerability (CVE-2012-5978) in its View server products, VMware on Thursday issued several security fixes that affect multiple product lines.

To start, VMware updated its vCenter Server Appliance (vCSA) and ESX to address multiple security vulnerabilities.

One issue, again, was a directory traversal vulnerability, this time in its vCenter Server Appliance, which if exploited, could allow an authenticated remote user to access arbitrary files (possibly sensitive) on the server. CVE-2012-6324

Affected products include VMware’s vCenter Server Appliance 5.1 without Patch 1, and vCenter Server Appliance 5.0 without Update 2 running on Linux.

In addition, a second issue fixed in its vCenter Server Appliance (vCSA) addresses an XML parsing vulnerability that could allow an authenticated remote user to gain access to arbitrary files, again putting sensitive data at risk.

Related Resource: The Dynamic Nature of Virtualization Security

According to VMware’s security advisory, affected products with the XML parsing vulnerability include vCenter Server Appliance (vCSA) version 5.0 running on Linux. vCSA version 5.0 is not affected, according to EMC.

VMware credited Alexander Minozhenko from ERPScan for reporting both the directory traversal and XMP parsing vulnerabilities.

VMware also updated its open source ESX glibc package to fix multiple security issues that affect its operation with EXSi version 5.0 and 5.1 products. The issue may affect ESXi version 4.0 and 4.1 but a patch is not planned for those products. The library has been updated to version glibc-2.5-81.el5_8.1.

The latest product patches can be downloaded from VMware's patch download page here.

In addition, VMware updated several other previous advisories and added notes for many different products, including several third party components that affect a number of its offerings, including an update related to Oracle’s Java SE Critical Patch Update Advisory of February 2012.

“This is another good example of how VMware, like any software company, has vulnerabilities that can be exploited,” Eric Chiu, president & founder of HyTrust, told SecurityWeek in a recent statement. “However, virtualization is the new OS of the datacenter and provides access to virtual machines, virtual networking and storage, including mission-critical applications and data. Given this, virtualization is a prime target for breaches and attacks -- especially the management plane, which is the easiest way to exploit a virtualized environment and get the 'keys to the kingdom.’”

More information is available from VMware’s security advisory page.

Related White Paper: The Dynamic Nature of Virtualization Security

Subscribe to the SecurityWeek Email Briefing
view counter